package com.platform.yijia.service.impl;

import com.platform.yijia.dao.ElectronicMembershipCardMapper;
import com.platform.yijia.dao.IntegralRuleMapper;
import com.platform.yijia.pojo.CustomerElectronicCard;
import com.platform.yijia.pojo.IntegralRule;
import com.platform.yijia.service.ElectronicMembershipCardService;
import com.platform.yijia.service.IntegralRuleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("electronicMembershipCardService")
public class ElectronicMembershipCardServiceImpl implements ElectronicMembershipCardService {
    @Resource
    private ElectronicMembershipCardMapper electronicMembershipCardMapper;

    //获取用户储蓄卡列表
    @Override
    public List<CustomerElectronicCard> getElectronicCardList(CustomerElectronicCard customerElectronicCard) {
        return electronicMembershipCardMapper.getElectronicCardList(customerElectronicCard);
    }
}
